package com.ejie.p06b.datatype.model;

import java.io.Serializable;
import java.util.ArrayList;

import com.ejie.p06b.general.P06BConstantes;

/**
 * XXXX
 * Inserte aquí la descripción del tipo.
 * Fecha de creación: (28/02/2008)
 */
public class P06B26T00Datatype implements Serializable {
	
	private String numExp = "";
	private String identificador = "";
	private String tipo = "";
	private String clase = "";
	private String razsoc = "";
	private String nombre = "";
	private String ape1 = "";
	private String ape2 = "";
	private String domici = "";
	private String codmun = "";
	private String locali = "";
	private String codpro = "";
	private String codpst = "";
	private String tipoAtencionCliente = P06BConstantes.P06B_AC_CUENTACONSERVICIO;

	//Lista de personas físicas, para el caso de que el departamento de atencion al cliente lo desenpeñe una persona jurídica
	//Objetos de la tabla P06B27T00
	private ArrayList listaPF_DepAtCliente = new ArrayList();
	
	//Lista de responsables del departamento de atencion al cliente
	//Objetos de la tabla P06B28T00
	private ArrayList listaRespDepAtCl = new ArrayList(); 
	
	private int operacion =-1;
	private int aprobado =1;
	private P06B26T00Datatype datos26Originales;

	public boolean isEmpty() {
		if(domici.trim().equals("")
				&& codmun.trim().equals("")
				&& locali.trim().equals("")
				&& codpro.trim().equals("")
				&& codpst.trim().equals("")
				&& clase.trim().equals("")		
				&& identificador.trim().equals("")
				&& tipo.trim().equals("")
				&& razsoc.trim().equals("")
				&& nombre.trim().equals("")
				&& ape1.trim().equals("")
				&& ape2.trim().equals("")
		)
			return true;
		return false;
	}	
	
	/**
	 * @return Returns the numExp.
	 */
	public String getNumExp() {
		return numExp;
	}
	/**
	 * @param numExp The numExp to set.
	 */
	public void setNumExp(String numExp) {
		this.numExp = numExp;
	}

	/**
	 * @return Returns the identificador.
	 */
	public String getIdentificador() {
		return identificador;
	}
	/**
	 * @param identificador The identificador to set.
	 */
	public void setIdentificador(String identificador) {
		this.identificador = identificador;
	}

	/**
	 * @return Returns the tipo.
	 */
	public String getTipo() {
		return tipo;
	}
	/**
	 * @param tipo The tipo to set.
	 */
	public void setTipo(String tipo) {
		this.tipo = tipo;
	}

	/**
	 * @return Returns the razsoc.
	 */
	public String getRazsoc() {
		return razsoc;
	}
	/**
	 * @param razsoc The razsoc to set.
	 */
	public void setRazsoc(String razsoc) {
		this.razsoc = razsoc;
	}

	/**
	 * @return Returns the nombre.
	 */
	public String getNombre() {
		return nombre;
	}
	/**
	 * @param nombre The nombre to set.
	 */
	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	/**
	 * @return Returns the ape1.
	 */
	public String getApe1() {
		return ape1;
	}
	/**
	 * @param ape1 The ape1 to set.
	 */
	public void setApe1(String ape1) {
		this.ape1 = ape1;
	}
	
	/**
	 * @return Returns the ape2.
	 */
	public String getApe2() {
		return ape2;
	}
	/**
	 * @param ape2 The ape2 to set.
	 */
	public void setApe2(String ape2) {
		this.ape2 = ape2;
	}
	
	/**
	 * @return Returns the domici.
	 */
	public String getDomici() {
		return domici;
	}
	/**
	 * @param domici The domici to set.
	 */
	public void setDomici(String domici) {
		this.domici = domici;
	}
	
	/**
	 * @return Returns the codmun.
	 */
	public String getCodmun() {
		return codmun;
	}
	/**
	 * @param codmun The codmun to set.
	 */
	public void setCodmun(String codmun) {
		this.codmun = codmun;
	}
	
	/**
	 * @return Returns the locali.
	 */
	public String getLocali() {
		return locali;
	}
	/**
	 * @param locali The locali to set.
	 */
	public void setLocali(String locali) {
		this.locali = locali;
	}
	
	/**
	 * @return Returns the codpro.
	 */
	public String getCodpro() {
		return codpro;
	}
	/**
	 * @param codpro The codpro to set.
	 */
	public void setCodpro(String codpro) {
		this.codpro = codpro;
	}
	/**
	 * @return Returns the codpst.
	 */
	public String getCodpst() {
		return codpst;
	}
	/**
	 * @param codpst The codpst to set.
	 */
	public void setCodpst(String codpst) {
		this.codpst = codpst;
	}
	
	/**
	 * @return the tipoAtencionCliente
	 */
	public String getTipoAtencionCliente() {
		return tipoAtencionCliente;
	}

	/**
	 * @param tipoAtencionCliente the tipoAtencionCliente to set
	 */
	public void setTipoAtencionCliente(String tipoAtencionCliente) {
		this.tipoAtencionCliente = tipoAtencionCliente;
	}

	/**
	 * @return Returns the clase.
	 */
	public String getClase() {
		return clase;
	}
	/**
	 * @param clase The clase to set.
	 */
	public void setClase(String clase) {
		this.clase = clase;
	}
		
	/**
	 * @return Returns the listaPF_DepAtCliente.
	 */
	public ArrayList getListaPF_DepAtCliente() {
		return listaPF_DepAtCliente;
	}
	/**
	 * @param listaPF_DepAtCliente The listaPF_DepAtCliente to set.
	 */
	public void setListaPF_DepAtCliente(ArrayList listaPF_DepAtCliente) {
		this.listaPF_DepAtCliente = listaPF_DepAtCliente;
	}

//	/**
//	 * @return Returns the listaRespDepAtCl.
//	 */
//	public ArrayList getListaResp_DepAtCl() {
//		return listaRespDepAtCl;
//	}
//	/**
//	 * @param listaRespDepAtCl The listaRespDepAtCl to set.
//	 */
//	public void setListaResp_DepAtCl(ArrayList listaRespDepAtCl) {
//		this.listaRespDepAtCl = listaRespDepAtCl;
//	}

	
	
	/**
	 * @return the listaRespDepAtCl
	 */
	public ArrayList getListaRespDepAtCl() {
		return listaRespDepAtCl;
	}

	/**
	 * @param listaRespDepAtCl the listaRespDepAtCl to set
	 */
	public void setListaRespDepAtCl(ArrayList listaRespDepAtCl) {
		this.listaRespDepAtCl = listaRespDepAtCl;
	}

	/**
	 * @return the operacion
	 */
	public int getOperacion() {
		return operacion;
	}

	/**
	 * @param operacion the operacion to set
	 */
	public void setOperacion(int operacion) {
		this.operacion = operacion;
	}

	/**
	 * @return the aprobado
	 */
	public int getAprobado() {
		return aprobado;
	}

	/**
	 * @param aprobado the aprobado to set
	 */
	public void setAprobado(int aprobado) {
		this.aprobado = aprobado;
	}

	/**
	 * @return the datos26Originales
	 */
	public P06B26T00Datatype getDatos26Originales() {
		return datos26Originales;
	}

	/**
	 * @param datos26Originales the datos26Originales to set
	 */
	public void setDatos26Originales(P06B26T00Datatype datos26Originales) {
		this.datos26Originales = datos26Originales;
	}
	
	/**
	 * @return Returns the nombre.
	 */
	public String getDenominacionCompleta() {
		String denominacion = "";
		if (getTipo().equals(P06BConstantes.P06B_PERSONA_FISICA)){
			if (!"".equals(getApe1().trim())){
				denominacion = denominacion + getApe1().trim(); 
			}
			if (!"".equals(getApe2().trim())){
				if (!"".equals(denominacion.trim())){
					denominacion = denominacion + " "; 
				}
				denominacion = denominacion + getApe2().trim(); 
			}
			if (!"".equals(getNombre().trim())){
				if (!"".equals(denominacion.trim())){
					denominacion = denominacion + ", "; 
				}
				denominacion = denominacion + getNombre().trim(); 
			}
		}else{
			denominacion = getRazsoc().trim();			
		}
		return denominacion;
	}
	
}
